Summary:	A Tk toolkit extension, including widgets, geometry managers, etc
Name:		blt
Version:	2.5.3
Release:	%mkrel 2
License:	MIT
Group:		System/Libraries
URL:		https://pdqi.com/w/pw/pdqi/Wize/Blt
Source0:	https://downloads.sourceforge.net/wize/blt-src-2.5.3.zip
Patch0:		blt-2.5-mga-cplusplus.patch
# (tv) Tcl/Tk 8.6 fixes from FC, adapted for blt-2.5:
Patch1:		blt2.4z-tcl8.6.patch
Patch2:		blt2.4z-tk8.6.patch
Patch3:		blt-2.5-mga-errorLine.patch
Patch4:		blt-autoconf.patch
Patch5:		blt-rpath.patch
Patch6:		blt-configure-c99.patch
Patch7:		blt-configure-c99-2.patch
Patch8:		blt-fix-build-with-gcc14.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(tcl)

%description
BLT is an extension to the Tk toolkit. BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry managers
and miscellaneous other commands. Note that you won't need to do any patching
of the Tcl or Tk source files to use BLT, but you will need to have Tcl/Tk
installed in order to use BLT.

%package -n blt-devel
Summary: Tk toolkit extension
Group:   System/Libraries
Requires: blt = %{version}

%description -n blt-devel
Development files for BLT

%prep
%setup -q -n %{name}2.5
%autopatch -p1

sed -i -e 's,local/,,g' demos/scripts/page.tcl
sed -i 's/^\(#!\)\.\.\/src/\1\/usr\/bin/' demos/*.tcl
sed -i 's/^\(#!\)\.\./\1\/usr\/bin/' demos/scripts/*.tcl

%build
export CFLAGS="%{optflags} -std=gnu17"
#autoreconf -vfi
%configure --libdir=%{tcl_sitearch} \
   --with-tcl=%{_libdir}
make LDFLAGS="%{ldflags}"

%install
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_mandir}

make prefix=%{buildroot}%{_prefix} \
 exec_prefix=%{buildroot}%{_prefix} \
 bindir=%{buildroot}%{_bindir} \
 libdir=%{buildroot}%{tcl_sitearch} \
 includedir=%{buildroot}%{_includedir} \
 mandir=%{buildroot}%{_mandir} \
 scriptdir=%{buildroot}%{tcl_sitearch}/blt%{version} \
install

ln -sf bltwish25 %{buildroot}%{_bindir}/bltwish
ln -sf bltsh25 %{buildroot}%{_bindir}/bltsh

# Dadou - Don't put in %%_libdir things which should be in %%_docdir
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/NEWS
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/PROBLEMS
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/README
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/demos

# Dadou - Prevent conflicts with other packages
for i in bitmap graph tabset tree watch; do
	mv %{buildroot}%{_mandir}/mann/$i{,-blt}.n
done

# need to be available as a shared lib as well as a tcl module
ln -s %{tcl_sitearch}/libBLT25.so %{buildroot}%{_libdir}/libBLT25.so
ln -s %{tcl_sitearch}/libBLTlite25.so %{buildroot}%{_libdir}/libBLTlite25.so

# development crap, we don't have anything that builds against this
# at present
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{tcl_sitearch}/*.a

sed -i -e 's!%{buildroot}!!g' %{buildroot}%{tcl_sitearch}/blt%{version}/pkgIndex.tcl

%files
%doc MANIFEST NEWS PROBLEMS README
%doc examples/
%doc html/
%doc demos/
%{_bindir}/*
%{_mandir}/mann/*
%{_mandir}/man3/*
%{tcl_sitearch}/*.so
%{tcl_sitearch}/%{name}%{version}
%{_libdir}/*.so

%files -n blt-devel
%{_includedir}/*.h


%changelog
* Fri May 09 2025 ns80 <ns80> 2.5.3-2.mga10
+ Revision: 2182143
- try to fix building with GCC 15

* Fri Nov 22 2024 ns80 <ns80> 2.5.3-1.mga10
+ Revision: 2118630
- add another patch to try to fix building with GCC 14
- more fixes in configure
- new version 2.5.3
- add a patch from Fedora to try to fix building with GCC 14

* Tue Mar 29 2022 umeabot <umeabot> 2.5-18.mga9
+ Revision: 1831900
- Mageia 9 Mass Rebuild

* Sun Aug 02 2020 wally <wally> 2.5-17.mga8
+ Revision: 1610607
- add patch to build with recent autoconf
- add patch to skip rpath
- use our %%ldflags
- drop old obsoletes

* Sun Jul 05 2020 joequant <joequant> 2.5-16.mga8
+ Revision: 1602122
- remove arm workaround

* Wed Feb 12 2020 umeabot <umeabot> 2.5-15.mga8
+ Revision: 1510742
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2.5-14.mga7
+ Revision: 1295547
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.5-13.mga7
+ Revision: 1233838
- fix aarch64 build

* Tue Mar 15 2016 daviddavid <daviddavid> 2.5-12.mga6
+ Revision: 990989
- rediff tk8.6 patch (since fixed autopatch)

* Wed Feb 10 2016 umeabot <umeabot> 2.5-11.mga6
+ Revision: 953302
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 shlomif <shlomif> 2.5-10.mga6
+ Revision: 885917
- Rebuild for new Tcl. Apply a patch to fix a compile error.
+ tv <tv>
- tcl/tk 8.6 fixes from FC, fixed for blt-2.5
- rebuild for new tcl

* Wed Oct 15 2014 umeabot <umeabot> 2.5-8.mga5
+ Revision: 748188
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.5-7.mga5
+ Revision: 724999
- rebuild for bogus file deps

* Thu Sep 18 2014 umeabot <umeabot> 2.5-6.mga5
+ Revision: 693507
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.5-5.mga5
+ Revision: 678179
- Mageia 5 Mass Rebuild
+ danf <danf>
- Disable parallel make as dependencies aren't properly specified

* Mon Oct 21 2013 umeabot <umeabot> 2.5-4.mga4
+ Revision: 538008
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 joequant <joequant> 2.5-3.mga4
+ Revision: 488269
- blt cplusplus patch

* Sat Sep 28 2013 joequant <joequant> 2.5-2.mga4
+ Revision: 488226
- add blt

* Thu Aug 01 2013 joequant <joequant> 2.5-1.mga4
+ Revision: 462220
- upgrade to 2.5

* Fri Jan 11 2013 umeabot <umeabot> 2.4z-26.mga3
+ Revision: 346921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 fwang <fwang> 2.4z-25.mga2
+ Revision: 150132
- tighten br

* Sat Jul 02 2011 fwang <fwang> 2.4z-24.mga2
+ Revision: 117404
- rebuild for new tcl
+ blino <blino>
- remove unneeded version in comment
- imported package blt


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4z-22mdv2011.0
+ Revision: 603760
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4z-21mdv2010.1
+ Revision: 522211
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.4z-20mdv2010.0
+ Revision: 413175
- rebuild

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.4z-19mdv2009.1
+ Revision: 311075
- rebuild for new tcl
- drop all the ridiculous libification crap
- add tcl86.patch (fix build for tcl 8.6)
- add local.patch (fix a use of /usr/local)
- update libdir.patch
- spec clean

* Tue Jul 15 2008 Adam Williamson <awilliamson@mandriva.org> 2.4z-18mdv2009.0
+ Revision: 235704
- fix the symlinks to binaries (#40947)

* Mon Jul 14 2008 Adam Williamson <awilliamson@mandriva.org> 2.4z-17mdv2009.0
+ Revision: 235698
- add exact.patch: loosen the version checking in init to make it actually run

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.4z-16mdv2009.0
+ Revision: 220484
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2.4z-15mdv2008.1
+ Revision: 148966
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 2.4z-14mdv2008.0
+ Revision: 82098
- use autoconf-2.13 explicitely
- rebuild for new soname of tcl

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 2.4z-13mdv2008.0
+ Revision: 25852
- fix for tcl8.5


* Mon May 01 2006 Stefan van der Eijk <stefan@eijk.nu> 2.4z-12mdk
- rebuild for sparc

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4z-11mdk
- fix deps

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4z-10mdk
- rebuilt against soname aware deps

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4z-9mdk
- multiarch

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4z-8mdk
- fix buildrequires
- wipe out buildroot before installing

* Fri Apr 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4z-7mdk
- buildrequires

* Fri Dec 19 2003 Stefan van der Eijk <stefan@eijk.nu> 2.4z-6mdk
- remove redundant BuildRequires
- rebuild

* Thu Jul 31 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4z-5mdk
- Patch4: Some 64-bit fixes

* Mon Jul 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.4z-4mdk
- use %%mklibname macro

